## gpsim-0.32.1-2.src.tar.gz

=== doc/gpsim.html.LyXconv/Makefile ===
all: gpsim.html

gpsim.html: ../gpsim.lyx
	./elyxer_p3.py ../gpsim.lyx gpsim.html


clean:
	rm -f gpsim.html

install:

distdir-am:

distdir:

distclean: clean
